﻿// Henter en liste med treningsprogrammer fra ExorLive
function btnQueryWorkouts() {
	var config = {
		Location: 0,
		LocationId: 0,
		Start: 0,
		Length: 10,
		Query: "",
		Nested: false
	};
	ExorLive.data.queryWorkouts(config, function (result) { outputWorkoutList(result); }, function (error) { alert("Error! " + error); });
}

// Gjør om resultat til en liste av treningsprogrammer, 
// og legger linker på dem så de kan bli åpnet
function outputWorkoutList(result) {
	$('#result').text('');
	for (var x in result) {
		$('#result').append('<a href="" onclick="btnGetWorkout(' + result[x]['Id'] + '); return false;">' + result[x]['Title'] + '</a><br />');
	}
}

// Henter et treningsprogram fra ExorLive
function btnGetWorkout(id)
{
	ExorLive.data.getWorkout(id, function (result) { outputWorkout(result); }, function (error) { alert("Error! " + error); });
}

function printWorkout(workoutid) {
	var config = {
		id: workoutid,
		format: "HTML",
		showNumber: true,
		showName: true,
		showCode: true,
		showImages: true,
		showAnatomy: true,
		showFocus: false,
		showSettings: true,
		showSetxReps: true,
		showDescription: true,
		showAddition: true,
		whoExerciseId: false,
		perPage: 6,
		fontsize: 7,
		layout: 0,
		locking: false,
		preview: false,
		emailRecipient: "",
		message: ""
	}
	ExorLive.data.print(config);
}

// Gjør om resultat til et basic treningsprogram
function outputWorkout(result) {
	$('#result').text('');
	$('#result').append('<h2>Title: ' + result['Title'] + '</h2>');
	$('#result').append('<a href="" onclick="printWorkout(' + result['Id'] + '); return false;">Skriv ut treningsprogram</a>');
	var output = "<ol>";
	for (var x in result['Exercises']) {
		output += "<li>" + result['Exercises'][x]['Id'] + ", " + result['Exercises'][x]['Title'] + ", " + result['Exercises'][x]['Description'] + ", " + result['Exercises'][x]['MainImage_BW'] + "</li>";
	}
	output += "</ol>";
	$('#result').append(output);
}

// Ber ExorLive om en liste med øvelser
function btnQueryExercises() {
	var config = {
		QueryType: 0,
		Type: 0,
		Equipment: 0,
		Focus: 0,
		StartPosition: 0,
		AgeGroup: 0,
		SortBy: 0,
		Level: 0,
		Start: 0,
		Length: 10,
		Query: ""
	};
	ExorLive.data.queryExercises(config, function (result) { outputExercises(result); }, function (error) { alert("Error! " + error); });
}

// Gjør om resultat til en liste over øvelser
function outputExercises(result) {
	$('#result').text('');
	var output = "";
	output += '<ul>';
	for (var x in result) {
		output += '<li>' + result[x]['Id'] + ' - ' + result[x]['Title'] + '</li>';
	}
	output += '</ul>';
	$('#result').append(output);
}

// Ber ExorLive åpne en bruker.
function btnOpenUser() {
	/* Fast validation, to lazy to do proper validation of the data today. */
	if ($('#inpFornavn').val() == "") {
		alert('Missing firstname');
		return;
	}
	if ($('#inpEtternavn').val() == "") {
		alert('Missing lastname');
		return;
	}
	if ($('#inpId').val() == "") {
		alert('Missing ID');
		return;
	}
	var config = {
		firstname: $('#inpFornavn').val(),
		lastname: $('#inpEtternavn').val(),
		customId: $('#inpId').val(),
		dateofbirth: $('#inpBirth').val(),
		email: $('#inpEmail').val()
	};
	ExorLive.app.selectUser(config);
}
